%define major   0
%define xmlcatalog      %{_sysconfdir}/xml/catalog
%define lib_name %mklibname %{name} %{major}

Summary:        Cataloging system for documentation on open systems
Name:           scrollkeeper
Version:        0.3.14
Release:	%mkrel 12
Source0:        ftp://scrollkeeper.sourceforge.net/pub/scrollkeeper/%{name}-%{version}.tar.bz2
Source1:        scrollkeeper.logrotate
# (gw) 0.3.14-5mdk fix double free when using LANGUAGE variable (Abel)
Patch0:		scrollkeeper-0.3.14-doublefree.patch
# (fc) 0.3.14-8mdk fix crash in mkdir (Fedora)
Patch1:		scrollkeeper-0.3.14-fix-mkdir-segfault.patch
License:        LGPL
Group:          Publishing
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://scrollkeeper.sourceforge.net/
BuildRequires:  libxml2-devel >= 2.4.19
BuildRequires:  libxslt-devel
BuildRequires:  intltool >= 0.8.4
BuildRequires:  docbook-dtd412-xml
BuildRequires:  automake1.7
BuildRequires:	gettext-devel
Requires:       docbook-dtd412-xml
Requires:       docbook-dtd42-xml
Requires:       docbook-dtd43-xml
Requires(post):	libxml2-utils >= 2.4.19
Requires(preun):libxml2-utils >= 2.4.19
Requires(post):	%{lib_name} = %{version}-%{release}

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%package -n %{lib_name}
Summary: Libraries for scrollkeeper
Group: System/Libraries

%description -n %{lib_name}
These are the libraries for Scrollkeeper.

%package -n %{lib_name}-devel
Summary:	Includes and more to develop scrollkeeper applications
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use 
to develop Scrollkeeper applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .doublefree
%patch1 -p1 -b .fixmkdir

#force new libtool
libtoolize --copy --force
aclocal-1.7 -I m4
automake-1.7
autoconf

%build
%configure2_5x --localstatedir=%{_var} --with-omfdirs=%{_datadir}/omf

%make

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%name-%version/* \
 $RPM_BUILD_ROOT%{_var}/log/scrollkeeper.log

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

# logrotate
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/scrollkeeper/Templates

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post
if [ "$1" = "2" ]; then
  # Upgrading
  echo "`date +"%b %d %X"` Upgrading to ScrollKeeper `scrollkeeper-config --version`..." >> /var/log/scrollkeeper.log
fi
if [ "$1" = "1" ]; then
  # Installing
  echo "`date +"%b %d %X"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> /var/log/scrollkeeper.log
fi
%{_bindir}/xmlcatalog --noout --add "public" \
        "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
        "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog

scrollkeeper-rebuilddb -q -p %{_localstatedir}/scrollkeeper || true

%preun
if [ "$1" = "0" -a -f %xmlcatalog -a -x %{_bindir}/xmlcatalog ] ; then
  %{_bindir}/xmlcatalog --noout --del \
	"%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" %xmlcatalog
fi

%postun
if [ "$1" = "0" ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf %{_localstatedir}/scrollkeeper
  rm -rf /var/log/scrollkeeper.log 
  rm -rf /var/log/scrollkeeper.log.1

fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS README ChangeLog NEWS INSTALL
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/scrollkeeper
%{_datadir}/omf
%{_datadir}/xml/scrollkeeper
%dir %{_localstatedir}/scrollkeeper

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.14-12mdv2008.1
+ Revision: 171103
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 22 2007 Anne Nicolas <anne.nicolas@mandriva.com> 0.3.14-11mdv2008.0
+ Revision: 92257
- fix doc files
- rebuild after failure


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.14-10mdv2007.0
+ Revision: 108277
- Import scrollkeeper

* Sat Jan 13 2007 Gtz Waschk <waschk@mandriva.org> 0.3.14-10mdv2007.1
- unpack patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.14-10mdk
- Rebuild

* Wed Aug 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.14-9mdk
- add BuildRequires: gettext-devel

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-8mdk 
- Patch1 (Fedora): fix crash in mkdir

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-7mdk 
- Add dependency on Docbook DTD 4.3 (needed for some GNOME programs)
- Fix prereq

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-6mdk 
- Really apply patch

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.14-5mdk 
- From Gtz Washk :
 - drop patch 0
 - patch 1 (Abel Cheung): fix double free breaking yelp 2.9.3

* Sat Jul 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.14-4mdk
- Also requires docbook-dtd42-xml, some help file are using it now.

* Thu Jun 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.3.14-3mdk
- Added logrotate file

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.14-2mdk
- Fix catalog unregistration in uninstall script

